#ifndef FB_H
#define FB_H

#include "types.h"
#if defined(__linux__)

#include <unistd.h>
#include <stdio.h>
#include <fcntl.h>
#include <linux/fb.h>
#include <linux/fs.h>
#include <sys/mman.h>
#include <sys/ioctl.h>
#include <stdlib.h>
#include <iostream>
using namespace std;


/* function prototype */
void send_current_error_msg(const char *ptr);
void send_current_information(const char *ptr);

#endif

typedef struct screen_info {
	int xres,yres,vbpp,line_len;
	uint32_t *fbptr[2];
} ScreenInfo , *ScreenInfoPtr;


extern ScreenInfo get_fbdev_addr(void);

#endif
